/*-GNU-GPL-BEGIN-*
  bera - Buriti Experimental Routing Architecture
  Copyright (C) 2003  Everton da Silva Marques

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*-GNU-GPL-END-*/

// $Id: BooleanLeafNode.java,v 1.4 2003/11/11 14:05:13 evertonm Exp $

package bera.manager.config;

import bera.BeraAssert;
import bera.manager.LineSender;

public class BooleanLeafNode extends LeafNode {

    private boolean boolAutoEnable;

    ConfigValue createConfigValue(String value) {
	BeraAssert.require(value == null);
	return new BooleanLeafValue(this);
    }

    public BooleanLeafNode(String label, boolean autoEnable) {
	super(label);
	boolAutoEnable = autoEnable;
    }

    public void listTree(LineSender sender, int depth, int inc) {
	sendDepth(sender, depth);
	sender.sendLine(getLabel() + " BOOLEAN (auto=" + boolAutoEnable + ")");
    }

    boolean autoEnable() {
	return boolAutoEnable;
    }

    boolean useValue() {
	return false;
    }
}

